Get Note
http
GET https://services.leadconnectorhq.com/contacts/{contactId}/notes/{id}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
contactId | string | Yes | sx6wyHhbFdRXh302LLNR | Contact Id |
id | string | Yes | ocQHyuzHvysMo5N5VsXc | Note Id |
Responses
200 - Successful response
note(object)id(string): Example:HGPcayliwcdoUFzvbTokbody(string): Example:lorem ipsumuserId(string): Example:TUcmRxWrjqzJS8EjkxNKdateAdded(string): Example:2021-07-08T12:02:11.285ZcontactId(string): Example:TUcmRxWrjqzJS8EjkxNKtitle(string): Example:Follow-up summarycolor(string): Example:#FFAA00pinned(boolean): Example:False
json
{
"note": {
"id": "HGPcayliwcdoUFzvbTok",
"body": "lorem ipsum",
"userId": "TUcmRxWrjqzJS8EjkxNK",
"dateAdded": "2021-07-08T12:02:11.285Z",
"contactId": "TUcmRxWrjqzJS8EjkxNK",
"title": "Follow-up summary",
"color": "#FFAA00",
"pinned": false
}
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/notes/YOUR_id' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId/notes/YOUR_id', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId/notes/YOUR_id',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId/notes/YOUR_id');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);